import { Ref, UnwrapRef } from 'vue';
export declare const name = "acrylic";
export declare const prefixCls: string;
export type MaybeGetterRef<T> = ((el: HTMLElement) => T) | Ref<T> | T;
export type ResolvedUnref<T> = T extends (...args: any[]) => infer V ? V : UnwrapRef<T>;
export type AcrylicProps = Partial<{
    [K in keyof typeof defaultProps]: MaybeGetterRef<typeof defaultProps[K]>;
}>;
export type ResolvedAcrylicProps = Partial<{
    [K in keyof AcrylicProps]: ResolvedUnref<AcrylicProps[K]>;
}>;
export declare const defaultProps: {
    blur: number;
    color: string;
    opacity: number;
    brightness: number;
    saturate: number;
    noiseSize: number;
    noiseOpacity: number;
    disabled: boolean;
    fallbackColor: string;
};
